classification
Title: Better error message for setup.py upload command without sdist/bdist
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Mariatta, dstufft, eric.araujo, jramnani
Priority: normal Keywords: easy, patch

Created on 2014-03-25 08:46 by eric.araujo, last changed 2018-02-19 04:58 by miss-islington. This issue is now closed.

Files
File name Uploaded Description Edit
issue21060-py35.patch jramnani, 2014-04-15 21:32 review
issue21060-py38.patch jramnani, 2018-02-11 18:06 Updated error message. review
Pull Requests
URL Status Linked Edit
PR 5726 merged eric.araujo, 2018-02-18 00:28
PR 5748 merged eric.araujo, 2018-02-19 01:43
PR 5747 merged miss-islington, 2018-02-19 01:45
PR 5746 merged miss-islington, 2018-02-19 04:58
Messages (7)
msg214793 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-25 08:46
From http://jamie.curle.io/blog/my-first-experience-adding-package-pypi/ :

    python setup.py upload
    running upload
    error: no dist file created in earlier command

  I thought I was going mad because I could see the dist file, it was right there in all of [its] tar and gzipped glory.

“earlier command” is misleading, as the dist file must be created by the same command line that calls upload (for now at least; see #12944).  The error message should be clearer, and if the doc doesn’t explain how this works, it should be improved too.
msg216391 - (view) Author: Jeff Ramnani (jramnani) * Date: 2014-04-15 21:32
Attaching a patch with a (hopefully) more useful error message.

I didn't find a good place to add this information in the "Distributing Python Modules" section of the docs, but let me know if you had a place in mind.
msg311031 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2018-01-28 23:31
For improving the message, I am hesitating between adding to the existing message (hoping to help search engines find their way to improved docs):

«No dist file created in earlier command (e.g. setup.py sdist upload)» 

and rewriting it entirely:

«Must create and upload dist files in one command (e.g. setup.py sdist upload)»
msg312006 - (view) Author: Jeff Ramnani (jramnani) * Date: 2018-02-11 18:06
I think the error message you suggested is better than the one in the current patch.  I've added a new patch with your improved message.

I haven't submitted or updated a patch since the migration to GitHub.  I can open a PR over on GitHub if that would make it easier for you.
msg312292 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2018-02-18 00:29
Thanks for the feedback, I went with the cleaner phrasing.
msg312338 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2018-02-19 03:56
New changeset eeb33651bfadcceea68bd27bb4c4d8de2e690656 by Mariatta (Éric Araujo) in branch '2.7':
[2.7] bpo-21060 Improve error message for "setup.py upload" without dist files (GH-5726).
https://github.com/python/cpython/commit/eeb33651bfadcceea68bd27bb4c4d8de2e690656
msg312341 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2018-02-19 04:57
Fixed in all branches.  I messed up the ticket reference so some links are missing here.
History
Date User Action Args
2018-02-19 04:58:20miss-islingtonsetpull_requests: + pull_request5530
2018-02-19 04:57:52eric.araujosetstatus: open -> closed
resolution: fixed
messages: + msg312341

stage: patch review -> resolved
2018-02-19 03:56:09Mariattasetnosy: + Mariatta
messages: + msg312338
2018-02-19 01:45:33miss-islingtonsetpull_requests: + pull_request5526
2018-02-19 01:43:34eric.araujosetpull_requests: + pull_request5525
2018-02-18 00:29:43eric.araujosetmessages: + msg312292
versions: + Python 3.8
2018-02-18 00:28:42eric.araujosetpull_requests: + pull_request5511
2018-02-11 18:06:49jramnanisetfiles: + issue21060-py38.patch

messages: + msg312006
2018-01-28 23:31:50eric.araujosetversions: + Python 3.6, Python 3.7, - Python 3.4, Python 3.5
title: Better error message for setup.py upload command without sdist -> Better error message for setup.py upload command without sdist/bdist
messages: + msg311031

assignee: eric.araujo
stage: needs patch -> patch review
2018-01-28 23:28:32eric.araujolinkissue12944 superseder
2014-04-15 21:32:39jramnanisetfiles: + issue21060-py35.patch

nosy: + jramnani
messages: + msg216391

keywords: + patch
2014-03-25 08:46:37eric.araujocreate